package com.translogicsys.aspect;

import java.util.*;
import java.io.IOException;

/**
 * @author karuku
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class SampleComponent{

	/**
	 * Constructor for SampleComponent.
	 */
	public final int VALID = 1;

	public SampleComponent() {
	}
	public boolean validate(){
		SampleComponent1 comp = new SampleComponent1();
		try {
			return comp.check();
		}catch(NumberFormatException nfex) {
			System.out.println("Exception handled");
			return false;
		}
	}

	public boolean validate2(){
		SampleComponent1 comp = new SampleComponent1();
		try {
			return comp.check2();
		}catch(NumberFormatException nfex) {
			System.out.println("NumberFormatException handled");
			return false;
		}catch(IOException nfex) {
			System.out.println("IOException handled");
			return false;
		}
	}

	public boolean check(){
		return false;
	}
	public String getDetails(){
		return "Value got from the getDetails method with no parameters";
	}
	public String getDetails(String str){
		return "Value got from the getDetails method";
	}

	public Vector testGetAll() {
		Vector vector = new Vector();
		vector.add("One");
		vector.add("Two");
		vector.add("Three");
		return vector;
	}
}