package com.translogicsys.aspect;
import junit.framework.TestCase;
import java.io.IOException;
/**
 * @author karuku
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class SampleMockTestCase extends MockTestCase{

	/**
	 * Constructor for SampleMockTestCase.
	 * @param arg0
	 */
	public SampleMockTestCase(String arg0) {
		super(arg0);
	}

	public void testValidate(){
		SampleComponent sampleComponent = new SampleComponent();
		Boolean bool = new Boolean(true);
		/*
		 * Executing a virtually mock method "validate"
		 * The method that is used as a parameter to the setMock method
		 * is executed 
		 */
		setMock("com.translogicsys.aspect.SampleComponent1","check",bool);
		System.out.println("b4 asserting");
		assertEquals(true,sampleComponent.validate());

		removeMock("com.translogicsys.aspect.SampleComponent1","check");
		setMockException("com.translogicsys.aspect.SampleComponent1","check",new NumberFormatException());
		System.out.println("b4 asserting");
		assertEquals(false,sampleComponent.validate());

		setMockException("com.translogicsys.aspect.SampleComponent1","check2",new NumberFormatException());
		System.out.println("b4 asserting validate2()");
		assertEquals(false,sampleComponent.validate2());

		setMockException("com.translogicsys.aspect.SampleComponent1","check2",new IOException());
		System.out.println("b4 asserting validate2()");
		assertEquals(false,sampleComponent.validate2());

		setMock("com.translogicsys.aspect.SampleComponent1","check2", bool);
		System.out.println("b4 asserting validate2()");
		assertEquals(true,sampleComponent.validate2());
	}
	public void testGetDetails() {
		//Add code to test the getDetails method.
	}

	public void testGetAll() {
		//Add code to test the getAll method.
	}

	public static void main(String[] args) {
		junit.swingui.TestRunner.run(SampleMockTestCase.class);
	}
}